﻿#Deploy Package
 If($Deploytype -eq "Package"){
    $package = (Get-CMPackage -id $DeployID).Name
    $now = (Get-Date).DateTime

    Start-CMPackageDeployment -ProgramName $deployprogramname -DeployPurpose Required -StandardProgram:$true -packagename $package -CollectionName $collectionname -comment "Generated by $scriptname running package: $package for collection: $collectioname" -ScheduleEvent AsSoonAsPossible
    }

    If($switch -eq 2){

    $PickDeploytype = Read-Host "Choose your Deployment Type ('1' Package/'2' Application):"
    Switch ($PickDeployType){
        1 {$deploytype = "Package"}
        2 {$deploytype = "Application"}
        }
    CLEAR
    $DeployID = READ-HOST -Prompt "Provide the Application/Package ID by it's unique ID: `nEXAMPLE: SSS000BB"
    $DeployProgramName = READ-HOST -Prompt "Provide the program name"
    }
